Subject: bug#78859: 31.0.50; Viewing mime part in Rmail sets truncate-lines

From: Eli Zaretskii <[email-masked]>
Date: Sat, 12 Jul 2025 10:17:46 +0300

> Cc: [email-masked]
> Date: Sun, 29 Jun 2025 08:42:32 +0300
> From: Eli Zaretskii <[email-masked]>
> 
> > From: Richard Stallman <[email-masked]>
> > Cc: [email-masked]
> > Date: Sat, 28 Jun 2025 22:44:09 -0400
> > 
> >   > I think it sets truncate-lines because it uses functions that simulate
> >   > display, and so that setting affects how HTML is laid out in the
> >   > buffer by shr.el.  So maybe what you suggest above is the best fix we
> >   > can easily make.
> > 
> > Are you saying that the value of truncate-lines that maters
> > is the value it has while shr.el is running?
> 
> Yes.
> 
> > If so, maybe binding truncate-lines only around the execution of
> > shr.el would give ideal results!
> 
> That's what I tend to think, yes.  But we need an example of such a
> message to test these ideas.

I now see that I was wrong, and just let-binding truncate-lines will
not do the job.  But I'm still unable to find an email message where I
am left with truncate-lines non-nil after rendering it with shr, so an
example of such a message will be appreciated.